package ch.lantersoft.layeredPaneExperiment;

import java.awt.Component;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class DefaultMousePolicy extends MouseAdapter {

	private Component pane;
	private LpExperiment par;

	public DefaultMousePolicy(LpExperiment par, Component pane) {
		this.pane = pane;
		this.par = par;
	}

	public void mousePressed(MouseEvent event) {
		if (event.getButton()==MouseEvent.BUTTON1) {
			par.down(pane);
		} else if (event.getButton()==MouseEvent.BUTTON3) {
			par.up(pane);
		}
	}
}